import { UmbModalBaseElement } from '../../modal/index.js';
import type { UmbModalAppAuthConfig, UmbModalAppAuthValue } from './umb-app-auth-modal.token.js';
import '../components/umb-auth-view.element.js';
export declare class UmbAppAuthModalElement extends UmbModalBaseElement<UmbModalAppAuthConfig, UmbModalAppAuthValue> {
    #private;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default UmbAppAuthModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-app-auth-modal': UmbAppAuthModalElement;
    }
}
